Bug 104473 - Add support for remote debugging
Add support for remote debugging
Status: NEW
Product: ruby
Classification: Unclassified
Component: Debugger
6.x
All All
: P1 with 1 vote (vote)
: 6.x
Assigned To: issues@ruby
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-22 07:49 UTC by Martin Krauskopf
Modified: 2011-01-28 20:10 UTC (History)
6 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Krauskopf 2007-05-22 07:49:29 UTC
Kent's ruby-debug supports it.
Comment 1 Martin Krauskopf 2007-06-12 15:41:05 UTC
No time for 6.0 time-frame. Either will be available through auto-update later or in some future release.
Comment 2 Jiri Kovalsky 2007-07-03 14:12:33 UTC
Reassigning this issue to newly created 'ruby' component.
Comment 3 _ pcw 2008-11-04 09:19:55 UTC
Martin, is this then a commitment to implement remote attach for NB 7.0 (say yes!)

I would like to also be able to use this to get the ruby debugger to attach to a debug instance inside the V3 server, so
please consider this use case (and ask me for reviews or ideas if you want).
Comment 4 Martin Krauskopf 2008-11-04 09:26:48 UTC
The first step is to be able to run rdebug-ide from command line and then attach to it from NetBeans.

Second step will be to enhance ruby-debug-ide API (if needed) to support calls from Ruby code's like this:

  Debugger.start(1234) # 1234 being the port

So user just puts the call into the Ruby code and attach to it from NetBeans.

I think the second case would solve the GlassFish part as well.
Comment 5 Martin Krauskopf 2008-11-05 20:39:21 UTC
debug-commons-java part:

   http://rubyforge.org/pipermail/debug-commons-commits/2008-November/000300.html

Will commit NetBeans part tomorrow. Can't babysit the build today (late here).
Comment 6 Martin Krauskopf 2008-11-06 07:39:03 UTC
The frontend: #f62b449042b0

Still tome polishing TBD here and there, leaving open.
Comment 7 Quality Engineering 2008-11-06 16:31:02 UTC
Integrated into 'main-golden', will be available in build *200811061401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/f62b449042b0
User: Martin Krauskopf <mkrauskopf@netbeans.org>
Log: #104473: Initial support for remote debugging
Comment 8 johnsi 2008-11-07 10:09:37 UTC
It looks from the changes like the 'remote' host is hardcoded to localhost. Will the host be configurable at some point?
Comment 9 Martin Krauskopf 2008-11-07 11:01:50 UTC
> It looks from the changes like the 'remote' host is hardcoded to localhost.

It is just a default which you will see when you invoke Menu | Debug | Attach (choose Ruby from the combobox). You can
rewrite it.

This issue is still not closed. Frame's file resolution still does not work well in some cases, the values in the dialog
are not remembered, not sure about the "stop-on-the-first-line" mode, etc.

This is why this is still opened. It was just "Initial support". I'm planning to write documentation how to fully
utilize this feature when it is done. I'll put link here then. So be patient ;)
Comment 10 Martin Krauskopf 2008-11-07 11:03:17 UTC
and a bit more.... the initial commit was very *rough*. The 'attach' use-case helps to clarify the API among the layers
and stabilize the API a bit, I hope. Those steps are also still TBD.
Comment 11 Martin Krauskopf 2008-11-11 17:51:33 UTC
Implemented. See the blog entry for usage:

  http://blogs.sun.com/martink/entry/remote_debugging_debug_whatever_ruby

I'll update wiki page(s) soon.

Source association is still missing, so leaving open.

Changeset: #171a975f42d6

  Bugfixes, ready to work with freshly released ruby-debug-ide 0.4.1:

  - exit debuggee when the 'finish' is issued by the frontend. Ideal would be 'detach', TBD.
  - preventing possible NPEs. RubyDebugTarget#isAvailable 


Changeset: #707d7e38b686

  Upgrading to ruby-debug-ide 0.4.1
  - '--stop' switch: stop at the first line when the script is loaded. Utilized by remote debugging
  - Making '-x' switch actually work. Commenting out sending of <trace> elements
    to the debugger. To be decided. There are large amount of such events. For
    now serves rather for ruby-debug-ide developers.
  - ensure 'file' attribute contains absolute path
  - fixing CLI verbose when -d is used. Some unused code 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo